; French messages for IBMBIO.COM
; 97-09-29 -mp
;
; Subject to be improved (not all messages have been fully translated
; to French yet)...  If you are a natively French speaker willing to
; improve this file, please translate all the *new* messages (in the
; TRUE case of the conditional defines) into French, and send the
; commented file back to me for inclusion in future issues of IBMBIO.COM.
; For reference always keep the English messages in mind.
; Thanks.


NUL     equ     0
BS	equ	8
TAB	equ	9
LF	equ	10
CR	equ	13

include setup.equ

CGROUP	group	INITDATA

INITDATA	segment	word public 'INITDATA'
	assume ds:CGROUP, cs:CGROUP

;		Source .TFT file: 'TMP1.$$$'
if NWDOS7152 ; message moved from BIOSMSGS.ASM to reduce resident size
        public  _starting_dos_msg
        public  starting_dos_msg
starting_dos_msg        label   byte
if PATCHMP1 ; looks nicer...
_starting_dos_msg       db      CR, LF, "Lancement de Caldera OpenDOS...", CR, LF, NUL
else
_starting_dos_msg       db      CR, LF, "Lancement de DOS......", CR, LF, NUL
endif
endif
	public	_yes_char
	public	yes_char
yes_char	label	byte
_yes_char       db      "Oo", NUL
	public	_no_char
	public	no_char
no_char	label	byte
_no_char	db	"Nn", NUL
if PATCHMP1
if NWDOS7152
        public  _resume_char
        public  resume_char
resume_char label   byte
_resume_char    db      "Rr", NUL
if PATCHMP5
        public  _notifyskip_msg
        public  notifyskip_msg
notifyskip_msg  label   byte
_notifyskip_msg db      "Skipping configuration files...", CR, LF, "$", NUL

        public  _notifysngl_msg
        public  notifysngl_msg
notifysngl_msg  label   byte
_notifysngl_msg db      "Single stepping configuration files...", CR, LF, "$", NUL
endif
endif
        public  _bad_command1, _bad_command2
        public  bad_command1, bad_command2
bad_command1    label   byte
_bad_command1   db      "Commande inconnue dans le $", NUL ; CONFIG.SYS
bad_command2    label   byte
_bad_command2   db      " fichier:", CR, LF, "$", NUL
if PATCHMP5
        public  _confirmation_msg
        public  confirmation_msg
confirmation_msg  label byte
_confirmation_msg db    "Please press any key to continue...$", NUL
endif

        public  _confirmbat1_msg, _confirmbat2_msg
        public  confirmbat1_msg, confirmbat2_msg
confirmbat1_msg  label  byte
_confirmbat1_msg db     "Executing "
confirmbat2_msg  label  byte
_confirmbat2_msg db     "AUTOEXEC.BAT$", NUL
else
        public  _bad_command
	public	bad_command
bad_command     label   byte
_bad_command    db      "Commande inconnue dans le fichier CONFIG.SYS: $", NUL
endif
	public	_bad_filename
	public	bad_filename
bad_filename	label	byte
_bad_filename   db      "Fichier endommag ou absent $", NUL

if PATCHMP5
if NWDOS7152
        public  _bad_debug
        public  bad_debug
bad_debug       label   byte
_bad_debug      db      "Invalid DEBUG switch (utiliser ON ou OFF)$", NUL
endif
endif

if PATCHMP1
        public  _bad_availdev
        public  bad_availdev
bad_availdev    label   byte
_bad_availdev   db      "Invalid AVAILDEV switch (utiliser T ou F)$", NUL
        public  _bad_switchar
        public  bad_switchar
bad_switchar    label   byte
_bad_switchar   db      "Invalid SWITCHAR setting (utiliser / ou -)$", NUL
        public  _bad_verify
        public  bad_verify
bad_verify      label   byte
_bad_verify     db      "Invalid VERIFY switch (utiliser ON ou OFF)$", NUL
        public  _bad_aux_prn
        public  bad_aux_prn
bad_aux_prn     label   byte
_bad_aux_prn    db      "Invalid AUX or PRN assignment, utiliser: AUX | PRN = 0 (bypass) | 1..4$", NUL
        public  _bad_com
        public  bad_com
bad_com         label   byte
_bad_com        db      "Invalid serial communication device assignment, utiliser: COMx = [p] [,[t]]", CR, LF
                db      "with x=1..4, p=0 | 1..4 | 200..3F8 (hex), t=0..255 <1> (dec)$", NUL
        public  _bad_lpt
        public  bad_lpt
bad_lpt         label   byte
_bad_lpt        db      "Invalid printer port assignment, utiliser:", CR, LF
                db      "LPTx = [p] [,[t]] ou LPT4 = p [,[t]]", CR, LF
                db      "with x=1..3, p=0 | 1..3 | 200..3FC (hex), t=0..255 <20> (dec)$", NUL
endif

	public	_bad_shell
	public	bad_shell
bad_shell	label	byte
_bad_shell      db      "Le nom de fichier spcifi dans SHELL est incorrect $", NUL
	public	_bad_lastdrive
	public	bad_lastdrive
bad_lastdrive	label	byte
if PATCHMP1
_bad_lastdrive  db      "Dernire lettre de lecteur incorrecte, utiliser:", CR, LF
                db      "LASTDRIVE | LASTDRIVEHIGH | HILASTDRIVE = A..Z | 1..32 | [\]^_`$", NUL
else
_bad_lastdrive  db      "Dernire lettre de lecteur incorrecte (utiliser A..Z) $", NUL
endif
	public	_bad_break
	public	bad_break
bad_break	label	byte
if PATCHMP1
_bad_break      db      "BREAK mode d'interruption incorrect (utiliser ON ou OFF)$", NUL
else
_bad_break      db      "Mode d'interruption incorrect (ON ou OFF) $", NUL
endif
	public	_bad_buffers
	public	bad_buffers
bad_buffers	label	byte
if PATCHMP1
_bad_buffers    db      "Nombre incorrect de tampons, utiliser:", CR, LF
                db      "BUFFERS | HIBUFFERS | BUFFERSHIGH = n [,s] with n=3..99, s=1..99$", NUL
else
_bad_buffers    db      "Nombre incorrect de tampons $", NUL
endif
	public	_bad_files
	public	bad_files
bad_files	label	byte
if PATCHMP1 ; also PATCHMP3
_bad_files      db      "Nombre incorrect de fichiers, utiliser:", CR, LF
;               db      "FILES = n or FILESHIGH | HIFILES = n [,l] with n=8..255, l=8..255$", NUL
                db      "FILES | FILESHIGH | HIFILES = 8..255$", NUL
else
_bad_files      db      "Nombre incorrect de fichiers (utiliser 5..255)", CR, LF, "$", NUL
endif
	public	_bad_fcbs
	public	bad_fcbs
bad_fcbs	label	byte
if PATCHMP1 ; also PATCHMP3
_bad_fcbs       db      "Nombre incorrect de blocs de contrle de fichier, utiliser:", CR, LF
                db      "FCBS | FCBSHIGH | HIFCBS = 0..255$", NUL
else
_bad_fcbs       db      "Nombre incorrect de blocs de contrle de fichier", CR, LF, "$", NUL
endif
	public	_bad_fopen
	public	bad_fopen
bad_fopen	label	byte
if PATCHMP1
_bad_fopen      db      "Nombre incorrect d'entres FASTOPEN (utiliser 0..32768)$", NUL
else
_bad_fopen      db      "Nombre incorrect d'entres FASTOPEN (utiliser 128..32768)", CR, LF, "$", NUL
endif
	public	_bad_drivparm
	public	bad_drivparm
bad_drivparm	label	byte
if PATCHMP1
_bad_drivparm   db      "Paramtres DRIVPARM incorrects ou inconnus, utiliser:", CR, LF
                db      "DRIVPARM = /D:d [/C] [/F:f] [/H:h] [/N] [/S:s] [/T:t]", CR, LF
                db      "with d=0..25, f=0..255, h=0..99, s=0..63, t=0..999$", NUL
else
_bad_drivparm   db      "Paramtres DRIVPARM incorrects ou inconnus, utiliser :", CR, LF
                db      "DRIVPARM = /D:d [/C] [/F:f] [/H:h] [/N] [/S:s] [/T:t]", CR, LF, "$", NUL
endif
	public	_bad_history
	public	bad_history
bad_history	label	byte
if PATCHMP1
_bad_history    db      "Paramtres HISTORY incorrects, utiliser:", CR, LF
                db      "HISTORY = ON|OFF [,n [,ON|OFF [,ON|OFF [,ON|OFF]]]] with n=128..4096$", NUL
else
_bad_history    db      "Paramtres HISTORY incorrects, utiliser :", CR, LF
                        "HISTORY = ON|OFF [,nnn[,ON|OFF]]", CR, LF, "$", NUL
endif
	public	_bad_country
	public	bad_country
bad_country	label	byte
if PATCHMP1
_bad_country    db      "Code national incorrect ou wrong filename for NLS database, utiliser:", CR, LF
                db      "COUNTRY = n, [c], [filespec] with n=1..65534 "
                ;db      "(e.g. 2=Canada, 32=Belgium,", CR, LF
                ;db      "33=France, 34=Spain, 41=Switzerland), c=0 | 1..65534 (e.g. 437, 850),"
                db       CR, LF
                ;db      "and COUNTRY.SYS database"
                db       "$", NUL
else
_bad_country    db      "Code national incorrect $", NUL
endif
if PATCHMP1
        public  _bad_set
        public  bad_set
bad_set         label   byte
_bad_set        db      "Invalid SET argument or pre-environment exhausted, utiliser:", CR, LF
                db      "SET [name[=string]]", CR, LF, "$", NUL
endif

if PATCHMP5
        public  _bad_exec1, _bad_exec2
        public  bad_exec1, bad_exec2
bad_exec1       label   byte
_bad_exec1      db      CR, LF
                db      "Bad or missing command interpreter.$", NUL

bad_exec2       label   byte
_bad_exec2      db      CR, LF
                db      "Please enter a valid filename (e.g. C:\COMMAND.COM),", CR, LF
                db      "or just press <ENTER> to retry.", CR, LF, CR, LF
if NWDOS7152
        public  _bad_exec3, _bad_exec4
        public  bad_exec3, bad_exec4
bad_exec3       label   byte
_bad_exec3      db      "C>$", NUL
bad_exec4       label   byte
_bad_exec4      db      CR, LF
                db      "No command interpreter specified.$", NUL
else
                db      "$", NUL
endif
else
        public  _bad_exec
	public	bad_exec
bad_exec	label	byte
_bad_exec       db      "Interprteur de commandes endommag ou absent.", CR, LF
                db      "Veuillez entrer un nom de fichier valide.", CR, LF, "$", NUL
endif
	public	_dos_msg
	public	dos_msg
dos_msg	label	byte
if PATCHMP1
_dos_msg        db      "Impossible de charger le fichier BDOS kernel: "
if PATCHMP9
        public  _dos_drv_msg
        public  dos_drv_msg
dos_drv_msg     label byte
_dos_drv_msg    db      '?:\'
endif
if DRDOS35
                db      'DRBDOS.SYS'
else
                db      "IBMDOS."
        public  _dos_ext_msg
        public  dos_ext_msg
dos_ext_msg     label byte
_dos_ext_msg    db      IBMDOS_EXT1,IBMDOS_EXT2,IBMDOS_EXT3
endif
                db      CR, LF
                db      "System halted.$", NUL
else
_dos_msg        db      CR, LF, "Impossible de charger le fichier DOS.$", NUL
endif

INITDATA	ends


	end
